﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DamageAssesment.Api.Locations.Db
{
    public class Location
    {
        [Key]
        public int Id { get; set; }
        [ForeignKey("Region")]
        public int RegionId { get; set; }
        [StringLength(4)]
        public string LocationCode { get; set; }

        [StringLength(50)]
        public string Name { get; set; }

        [StringLength(4)]
        public string MaintenanceCenter { get; set; }

        [StringLength(2)]
        public string SchoolType { get; set; }
        public int? DataValue { get; set; }
        public int? Enrollment { get; set; }
        public double? Longitute { get; set; }
        public double? Latitude { get; set; }

    }
}
