﻿using Microsoft.EntityFrameworkCore;

namespace DamageAssesment.Api.Locations.Db
{
    public class LocationDbContext : DbContext
    {
        public DbSet<Db.Location> Locations { get; set; }
        public DbSet<Db.Region> Regions { get; set; }
        public LocationDbContext(DbContextOptions options) : base(options)
        {

        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            modelBuilder.Entity<Location>()
                .Property(item => item.Id)
                .ValueGeneratedOnAdd();
            modelBuilder.Entity<Region>()
                .Property(item => item.Id)
                .ValueGeneratedOnAdd();

        }
    }
}
