﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DamageAssesment.Api.Attachments.Db
{
    public class Attachment
    {
        [Key]
        public int Id { get; set; }

        [Required]
        public string URI { get; set; }
        [ForeignKey("Answer")]
        public int? AnswerId { get; set; }
        [ForeignKey("SurveyResponse")]
        public int ResponseId { get; set; }
        public bool IsDeleted { get; set; }
        public string FileName { get; set; }
    }
}
