﻿using Microsoft.EntityFrameworkCore;

namespace DamageAssesment.Api.Employees.Db
{
    public class EmployeeDbContext: DbContext
    {
        public DbSet<Db.Employee> Employees { get; set; }
        public EmployeeDbContext(DbContextOptions options) : base(options)
        {
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);

            modelBuilder.Entity<Employee>()
                .Property(item => item.Id)
                .ValueGeneratedOnAdd();
        }
    }
}
