﻿using DamageAssesment.Api.Responses.Models;

namespace DamageAssesment.Api.Responses.Interfaces
{
    public interface IQuestionServiceProvider
    {
        Task<List<Question>> getQuestionsAsync(string language);
        Task<List<SurveyQuestions>> getSurveyQuestionsAsync(int surveyId);
        Task<Question> getQuestionsAsync(int questionId);
        Task<List<QuestionCategory>> GetQuestionCategoriesAsync(string? language);
    }
}
